Package kiyut.sketsa.actions

## Class RevertAction

- java.lang.Object
- - org.openide.util.SharedClassObject
  - - org.openide.util.actions.SystemAction
    - - org.openide.util.actions.CallableSystemAction
      - - org.openide.util.actions.NodeAction
        - - org.openide.util.actions.CookieAction
          - - kiyut.sketsa.actions.RevertAction

- All Implemented Interfaces:
    `ActionListener`, `Externalizable`, `Serializable`, `EventListener`, `Action`, `org.openide.util.actions.Presenter`, `org.openide.util.actions.Presenter.Menu`, `org.openide.util.actions.Presenter.Popup`, `org.openide.util.actions.Presenter.Toolbar`, `org.openide.util.ContextAwareAction`, `org.openide.util.HelpCtx.Provider`

      public class RevertAction
      extends org.openide.util.actions.CookieAction

  Action which revert the SVGDocument from the original source.
  Author:
    Kiyut
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.openide.util.actions.Presenter

      `org.openide.util.actions.Presenter.Menu, org.openide.util.actions.Presenter.Popup, org.openide.util.actions.Presenter.Toolbar`

  - ### Field Summary

    - ### Fields inherited from class org.openide.util.actions.CookieAction

      `MODE_ALL, MODE_ANY, MODE_EXACTLY_ONE, MODE_ONE, MODE_SOME`

    - ### Fields inherited from class org.openide.util.actions.SystemAction

      `PROP_ENABLED, PROP_ICON`

    - ### Fields inherited from interface javax.swing.Action

      `ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RevertAction()` | Creates a new instance of RevertAction

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected boolean` | `asynchronous()` | Overidden to return false
    `protected Class<?>[]` | `cookieClasses()` |
    `org.openide.util.HelpCtx` | `getHelpCtx()` | Overidden to return HelpCtx.DEFAULT_HELP
    `String` | `getName()` |
    `protected int` | `mode()` |
    `void` | `performAction​(org.openide.nodes.Node[] activatedNodes)` |

    - ### Methods inherited from class org.openide.util.actions.CookieAction

      `createContextAwareInstance, enable`

    - ### Methods inherited from class org.openide.util.actions.NodeAction

      `actionPerformed, addNotify, getActivatedNodes, initialize, isEnabled, performAction, removeNotify, setEnabled, surviveFocusChange`

    - ### Methods inherited from class org.openide.util.actions.CallableSystemAction

      `getMenuPresenter, getPopupPresenter, getToolbarPresenter`

    - ### Methods inherited from class org.openide.util.actions.SystemAction

      `clearSharedData, createPopupMenu, createToolbarPresenter, get, getIcon, getIcon, getValue, iconResource, linkActions, putValue, setIcon`

    - ### Methods inherited from class org.openide.util.SharedClassObject

      `addPropertyChangeListener, equals, finalize, findObject, findObject, firePropertyChange, getLock, getProperty, hashCode, putProperty, putProperty, readExternal, removePropertyChangeListener, reset, writeExternal, writeReplace`

    - ### Methods inherited from class java.lang.Object

      `clone, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.swing.Action

      `accept, addPropertyChangeListener, getValue, putValue, removePropertyChangeListener`

- - ### Constructor Detail

    - #### RevertAction

          public RevertAction()

      Creates a new instance of RevertAction

  - ### Method Detail

    - #### cookieClasses

          protected Class<?>[] cookieClasses()

      Specified by:
        `cookieClasses` in class `org.openide.util.actions.CookieAction`

    - #### performAction

          public void performAction​(org.openide.nodes.Node[] activatedNodes)

      Specified by:
        `performAction` in class `org.openide.util.actions.NodeAction`

    - #### mode

          protected int mode()

      Specified by:
        `mode` in class `org.openide.util.actions.CookieAction`

    - #### getName

          public String getName()

      Specified by:
        `getName` in class `org.openide.util.actions.SystemAction`

    - #### getHelpCtx

          public org.openide.util.HelpCtx getHelpCtx()

      Overidden to return HelpCtx.DEFAULT_HELP
      Specified by:
        `getHelpCtx` in interface `org.openide.util.HelpCtx.Provider`
      Specified by:
        `getHelpCtx` in class `org.openide.util.actions.SystemAction`

    - #### asynchronous

          protected boolean asynchronous()

      Overidden to return false
      Overrides:
        `asynchronous` in class `org.openide.util.actions.CallableSystemAction`